package com.cirle.scientific.service;

import com.cirle.scientific.dto.QkjColumnistDTO;
import com.cirle.scientific.dto.WxUerInfoDTO;
import com.cirle.scientific.po.QkjMember;
import com.cirle.scientific.pojo.Result;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public interface MemberService {

    QkjMember findByMemCard(String memCard);

    List<QkjColumnistDTO> getColumnistByObjTypeAndobjId(Integer objType, Integer objId);

    QkjMember memberLogin(WxUerInfoDTO wxUerInfoDTO, Integer memRegisterSource);

    QkjMember memberLogin(String memMobile, Integer memRegisterSource, String wxId, String memNickname, String openId, String memHeadimg, Integer subscribe);

    Integer findUserIntegral(String memCard);

    Result<QkjMember> checkPwd(String ip, Integer memRegisterSource, String memMobile, String password ,String from);

    QkjMember register(String memMobile, Integer memRegisterSource, Integer subscribe,String passwd, String memNickName);

    QkjMember weixinLoginOAuth(WxUerInfoDTO wxUerInfoDTO);

    /**
     * 分片查询用户基本信息
     * @param memCards
     * @return
     */
    List<QkjMember> getQkjMemberList(List<String> memCards);


}
